﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.8
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	
	Dim const TableGenQuery As String = _
			"CREATE TABLE log (id INTEGER PRIMARY KEY AUTOINCREMENT, Datum TEXT, Zeit TEXT, Call TEXT, Send TEXT, Recive TEXT," & _
			"Band TEXT, Mode TEXT, vomBerg TEXT, zumBerg TEXT, Kommentar TEXT," & _ 
			"GMA_Upload TEXT, QSL_SND TEXT, QSL_SND_Date TEXT, QSL_RCV TEXT)"

	Dim varPrefixList As List
	Dim varRefPrefix_1, varRefPrefix_2, varRefPrefix_3 As List
	Dim varRefPrefix_2_a, varRefPrefix_2_b, varRefPrefix_3_a, varRefPrefix_3_b  As List

	Dim Liste_GMA As Map
	Dim Liste_GMA_Pos As String
	Dim Liste_GMA_AR As List
	Dim Liste_GMA_AR_Trenner As String

	Dim SOTA_assoz As Map
		
	Dim Liste_Berge, Liste2 As List
	Dim Vers_BergListe As String
	
	Dim	varCotaDLList As List
	Dim varIOTAList,varIOTAList_2 As List
	Dim varTPList As List
	
	Dim varCountryAssoz As Map
	
	Dim CallName As Map
	Dim CallLoc As Map
	Dim CallQSL As Map

End Sub


Sub Start_GenListen
	varPrefixList.Initialize
	varPrefixList.AddAll (Array As String ("da","db","dc","dd","de","df","dg","dh","dj","dk", "dl", "dm", "dn", "do","dq", "dr", _
	                      "ok", "ol", "om", _ 
						  "sp", "sq", "sn", "so", "hf", "hg", "oe", "hb", _
						  "pa", "pe", "pg", "pi", "pf", "ph", "pc", _
						  "oz", "sm", "sk", "sa", "se", "sc","si","sg","sj","sf"))
						  
	varCotaDLList.Initialize
	varCotaDLList.addall(Array As String("BBN","BLB","BOB","BRB","FBN","HBN","HHB","KAB","MVB","NBN","NRB","NSB","OBB","RBN","RPB","SAB","SAR","SAX","SHB","SWB","THB","WBB","WNB","WSB"))

	varTPList.Initialize2(Array As String("TPBM", "TPDO", "TPKA", "TPLI", "TPSA", "TPSX", "TPTH", "TPUS"))
	
	varIOTAList.Initialize
	varIOTAList.addall(Array As String("EU","AS","AF","NA","SA","OC","AN"))

	varIOTAList.Initialize2(Array As String("EU","AS","AF","NA","SA","OC","AN"))
	varIOTAList_2.Initialize2(Array As String("EU-","AS-","AF-","NA-","SA-","OC-","AN-"))


	varCountryAssoz.Initialize
	If File.Exists(File.DirAssets,"countryassoz.txt") Then
		Log("Lese ContryAssoz File")
		varCountryAssoz = File.ReadMap(File.DirAssets,"countryassoz.txt")
	End If

	Liste_GMA_AR.Initialize
	'hier nur Init, wird gelesen wenn gebraucht, wegen Pervormance
	
	SOTA_assoz.Initialize
	If File.Exists(File.DirAssets,"assoz_sota.txt") Then
		SOTA_assoz=File.ReadMap(File.DirAssets,"assoz_sota.txt")
	End If
	
'	Service_Namen.Initialize
	CallName.Initialize
'	CallName=Service_Z_Info.ReadMapNamen("Name")
	
	CallLoc.Initialize
'	CallLoc = Service_Z_Info.ReadMapNamen("Locator")

	CallQSL.Initialize
'	CallQSL = Service_Z_Info.ReadMapNamen("QSL")
	
#region "GMA_Referenz"
	varRefPrefix_1.Initialize
	varRefPrefix_2.Initialize
	varRefPrefix_3.Initialize
	varRefPrefix_2_a.Initialize
	varRefPrefix_2_b.Initialize
	varRefPrefix_3_a.Initialize
	varRefPrefix_3_b.Initialize


	Dim ListeRefPrefix As List
	Dim varRefFileFound As Boolean=False
	Dim varFileIn As String
	                               
	If File.Exists(File.DirAssets,"gma_references.txt") = True Then
		varRefFileFound=True
		varFileIn="gma_references.txt"
'	Else
'		varFileIn=sucheRefFile("gma_references.txt")
'		If varFileIn<>"" Then varRefFileFound=True Else varRefFileFound=False
	End If

	If varRefFileFound=True Then
		Log("Referenzliste wird geladen, File: " & varFileIn)
		ListeRefPrefix  = File.readlist(File.DirAssets,varFileIn)
		For i=0 To ListeRefPrefix .Size-1
			Dim varStr() As String = Regex.split(":",ListeRefPrefix.Get(i))	'Speicherpfad für Log
			If varStr.Length>1 Then
				Select Case  varStr(1)
					Case "1":     varRefPrefix_1.add(varStr(0))
					Case "2":     varRefPrefix_2.add(varStr(0))
					Case "3":     varRefPrefix_3.add(varStr(0))
					Case "2_a":   varRefPrefix_2_a.add(varStr(0))
					Case "2_b":   varRefPrefix_2_b.add(varStr(0))
					Case "3_a":   varRefPrefix_3_a.add(varStr(0))
					Case "3_b":   varRefPrefix_3_b.add(varStr(0))
				End Select
			End If
		Next
	Else
		Log("Achtung, Referenzliste konnte nicht geladen werden!!!, Backup wird eingespielt")
		varRefPrefix_1.AddAll(Array As String("F","W","I","M","G"))
		varRefPrefix_2.AddAll(Array As String("6K","9A","9H","9V","CT","CU","DA","DL","DM","EC","EI","ES","FA","FC","FK","FR","GD","GI","GM","GW", _
		"HA","HB","HG","HL","IT","JA","JW","LA","LB","LX","LZ","MM","MW","OD","OE","OF","OH","OK","OL", _
		"OM","ON","OV","OX","OY","OZ","PA","PB","SA","SM","SO","SP","SV","TF","TK","UT","XG","YO","YP","YU","ZS","ZT"))
		varRefPrefix_2_a.AddAll(Array As String("E2","E5","E7","K1","K6","R1","R2","R3","R4","R5","R6","R7","R8","S5","V5","W1","W2","W3","W6","W9","Z3"))
		varRefPrefix_2_b.AddAll(Array As String("6K","9A","9H","9V"))
		varRefPrefix_3.AddAll(Array As String("KLA","KLF","KLS"))
		varRefPrefix_3_a.AddAll(Array As String("AX2","AX3","AX4", "CT3", "EA1","EA2","EA3","EA4","EA5","EA6","EA7","EA8","EC1","EC2","EC3","EC4","EC6","EC7","EC8","EC9", _
		"HB0","HB9","IS0","JA5","JA6","JA8", "KH6","KP4","OM0","OE0","OF0","S50","PJ2","PJ4","PJ5","PJ6","PJ7", _
		"VA7","VE1","VE2","VE6","VE7","VE9","VK1","VK2","VK3","VK4","VK5","VK6","VK7","VK8","VK9","VP8", _
		"ZL1","ZL3","ZL7","ZL8","ZL9"))
		varRefPrefix_3_b.AddAll(Array As String("K0M", "K4T","K5N","K5T","K4C","R9U","W4A","W4C","W4G","W4K","W4T","W4V","W5A","W5M","W5N","W5O","W5T","W0C","W0D","W0M","W0N","W7A","W7I","W7M","W7N","W7O","W7U","W7W","W7Y","W8M","W8O","W8V"))
	End If
	#end region
	
#region "Setup & Listen Lesen"


	'Listen einlesen
	Liste_Berge.Initialize
	Liste_Berge = File.readlist(File.DirAssets ,"bergliste.txt")
	
	
	If Liste_Berge.Size>0 Then
		Dim versList As String
		versList=Liste_Berge.Get(0)
		If versList.Contains  ("#") = True Then
			Vers_BergListe = "Bergliste, Vers. " & versList.SubString(2)
			Liste_Berge.RemoveAt(0)
		Else
			Vers_BergListe=" "
		End If

	End If
	

	Liste2.Initialize
	If File.Exists(File.DirAssets,"callliste.txt") = True Then
		Log("CallListe Intern")
		Liste2 = File.readlist(File.DirAssets,"callliste.txt")
	End If

	
	Liste_GMA_Pos=""
	Liste_GMA.Initialize
	If File.Exists(File.DirAssets,"gma_locator.txt") = True Then
		Liste_GMA = File.readmap(File.DirAssets,"gma_locator.txt")
	End If
	
#end Region

End Sub